Đến nội dung


Hình ảnh

hỏi về mline?


  • Please log in to reply
4 replies to this topic

#1 trungnv61

trungnv61

    biết lệnh stretch

  • Members
  • PipPipPip
  • 161 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 19 July 2014 - 08:54 AM

xin nhờ các pro chỉ giáo mình cách bo tròn mline.khi mình vẽ 2 đoạn mline với bề rộng 50, lúc này cần bo tròn nó với bán kính 100 thì mình cần làm gì. thank alot!


  • 0

#2 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 19 July 2014 - 10:51 AM

xin nhờ các pro chỉ giáo mình cách bo tròn mline.khi mình vẽ 2 đoạn mline với bề rộng 50, lúc này cần bo tròn nó với bán kính 100 thì mình cần làm gì. thank alot!

 

http://www.cadviet.c...mline-gap-khuc/


  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#3 trungnv61

trungnv61

    biết lệnh stretch

  • Members
  • PipPipPip
  • 161 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 21 July 2014 - 11:34 AM

nghĩa là việc bo tròn mline gấp khúc chưa có hướng giải quyết sao các pro. tiện đây cho mình hỏi lun lệnh blockreplace sử dụng thế nào khi mình muốn thay 1 số block cùng tên trong bản vẽ mà không phải toàn bộ bản vẽ.vì khi mình dùng lệnh này thì cad thực hiện thay hết block đó trong toàn bản vẽ. thanks


  • 0

#4 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 21 July 2014 - 12:59 PM

BlockReplace thay đổi toàn bộ block này sang block khác.

Còn nếu muốn chỉ đổi 1 số thôi thì dùng lisp này, với điều kiện là block mới có hiện diện trong bản vẽ, chứ nếu chưa có thì không đổi tên được, đồng thời nó đổi luôn hình dạng theo block mới.

(defun c:dtb(/ tencu tenmoi ssl)
  (setq tencu (getstring "\nTen block cu:")
tenmoi (getstring "\nTen block moi:")
ssl (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list '(0 . "INSERT") (cons 2 tencu))))))
  )
  (mapcar '(lambda(x) (entmod (subst (cons 2 tenmoi) (assoc 2 (entget x)) (entget x)))) ssl)
  (princ)
)

  • 0

#5 trungnv61

trungnv61

    biết lệnh stretch

  • Members
  • PipPipPip
  • 161 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 21 July 2014 - 01:48 PM

BlockReplace thay đổi toàn bộ block này sang block khác.

Còn nếu muốn chỉ đổi 1 số thôi thì dùng lisp này, với điều kiện là block mới có hiện diện trong bản vẽ, chứ nếu chưa có thì không đổi tên được, đồng thời nó đổi luôn hình dạng theo block mới.

 

(defun c:dtb(/ tencu tenmoi ssl)
  (setq tencu (getstring "\nTen block cu:")
tenmoi (getstring "\nTen block moi:")
ssl (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list '(0 . "INSERT") (cons 2 tencu))))))
  )
  (mapcar '(lambda(x) (entmod (subst (cons 2 tenmoi) (assoc 2 (entget x)) (entget x)))) ssl)
  (princ)
)

thanks bác nha. em sẽ dùng thử xem sao


  • 0